Package org.firebirdsql.jdbc

## Interface FirebirdConnectionProperties

All Superinterfaces:
  `AttachmentProperties`, `BaseProperties`, `DatabaseConnectionProperties`

All Known Implementing Classes:
  `AbstractConnectionPropertiesDataSource`, `FBAbstractCommonDataSource`, `FBConnectionPoolDataSource`, `FBConnectionProperties`, `FBManagedConnectionFactory`, `FBSimpleDataSource`, `FBXADataSource`

    public interface FirebirdConnectionProperties
    extends DatabaseConnectionProperties

Connection properties for the Firebird connection. Main part of this interface corresponds to the Database Parameter Buffer, but also contains properties to specify default transaction parameters.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
`default int` `getBuffersNumber()` Deprecated. Use `DatabaseConnectionProperties.getPageCacheSize()`; will be removed in Jaybird 6
`default java.lang.String` `getDatabase()` Deprecated. Use `DatabaseConnectionProperties.getDatabaseName()`; will be removed in Jaybird 6 or later
`default java.lang.String` `getNonStandardProperty​(java.lang.String key)` Deprecated. Use `BaseProperties.getProperty(String)`; will be removed in Jaybird 6
`TransactionParameterBuffer` `getTransactionParameters​(int isolation)` Get the transaction parameter buffer corresponding to the current connection request information.
`default java.lang.String` `getUserName()` Deprecated. Use `AttachmentProperties.getUser()` instead; will be retained indefinitely for compatibility
`default void` `setBuffersNumber​(int buffersNumber)` Deprecated. Use `DatabaseConnectionProperties.setPageCacheSize(int)`; will be removed in Jaybird 6
`default void` `setDatabase​(java.lang.String database)` Deprecated. Use `DatabaseConnectionProperties.setDatabaseName(String)`; will be removed in Jaybird 6 or later
`void` `setNonStandardProperty​(java.lang.String propertyMapping)` Set the property that does not have corresponding setter method.
`default void` `setNonStandardProperty​(java.lang.String key, java.lang.String value)` Deprecated. Use `BaseProperties.setProperty(String, String)`; will be removed in Jaybird 6
`void` `setTransactionParameters​(int isolation, TransactionParameterBuffer tpb)` Set transaction parameters for the specified transaction isolation level.
`default void` `setUserName​(java.lang.String userName)` Deprecated. Use `AttachmentProperties.setUser(String)`; will be retained indefinitely for compatibility

### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

`getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

`connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

### Methods inherited from interface org.firebirdsql.jaybird.props.DatabaseConnectionProperties

`getBlobBufferSize, getDatabaseName, getDataTypeBind, getDecfloatRound, getDecfloatTraps, getDefaultIsolation, getDefaultTransactionIsolation, getGeneratedKeysEnabled, getPageCacheSize, getScrollableCursor, getServerBatchBufferSize, getSessionTimeZone, getSqlDialect, getTpbMapping, isColumnLabelForName, isDefaultResultSetHoldable, isExtendedMetadata, isIgnoreProcedureType, isTimestampUsesLocalTimezone, isUseFirebirdAutocommit, isUseServerBatch, isUseStreamBlobs, setBlobBufferSize, setColumnLabelForName, setDatabaseName, setDataTypeBind, setDecfloatRound, setDecfloatTraps, setDefaultIsolation, setDefaultResultSetHoldable, setDefaultTransactionIsolation, setExtendedMetadata, setGeneratedKeysEnabled, setIgnoreProcedureType, setPageCacheSize, setScrollableCursor, setServerBatchBufferSize, setSessionTimeZone, setSqlDialect, setTimestampUsesLocalTimezone, setTpbMapping, setUseFirebirdAutocommit, setUseServerBatch, setUseStreamBlobs`

### Method Detail

#### getDatabase

    @Deprecated
    default java.lang.String getDatabase()

Deprecated.
Use `DatabaseConnectionProperties.getDatabaseName()`; will be removed in Jaybird 6 or later

Returns:
  path to the database including the server name and the port, if needed.

#### setDatabase

    @Deprecated
    default void setDatabase​(java.lang.String database)

Deprecated.
Use `DatabaseConnectionProperties.setDatabaseName(String)`; will be removed in Jaybird 6 or later

Parameters:
  `database` - path to the database including the server name and the port, if needed.

#### getUserName

    @Deprecated
    default java.lang.String getUserName()

Deprecated.
Use `AttachmentProperties.getUser()` instead; will be retained indefinitely for compatibility

Returns:
  name of the user that will be used when connecting to the database.

#### setUserName

    @Deprecated
    default void setUserName​(java.lang.String userName)

Deprecated.
Use `AttachmentProperties.setUser(String)`; will be retained indefinitely for compatibility

Parameters:
  `userName` - name of the user that will be used when connecting to the database.

#### getBuffersNumber

    @Deprecated
    default int getBuffersNumber()

Deprecated.
Use `DatabaseConnectionProperties.getPageCacheSize()`; will be removed in Jaybird 6

Returns:
  number of cache buffers that should be allocated for this connection, should be specified for ClassicServer instances, SuperServer has a server-wide configuration parameter.

#### setBuffersNumber

    @Deprecated
    default void setBuffersNumber​(int buffersNumber)

Deprecated.
Use `DatabaseConnectionProperties.setPageCacheSize(int)`; will be removed in Jaybird 6

Parameters:
  `buffersNumber` - number of cache buffers that should be allocated for this connection, should be specified for ClassicServer instances, SuperServer has a server-wide configuration parameter.

#### getNonStandardProperty

    @Deprecated
    default java.lang.String getNonStandardProperty​(java.lang.String key)

Deprecated.
Use `BaseProperties.getProperty(String)`; will be removed in Jaybird 6
Get the property that does not have corresponding getter method by its name.

Parameters:
  `key` - name of the property to get.
Returns:
  value of the property.

#### setNonStandardProperty

    @Deprecated
    default void setNonStandardProperty​(java.lang.String key,
                                        java.lang.String value)

Deprecated.
Use `BaseProperties.setProperty(String, String)`; will be removed in Jaybird 6
Set the property that does not have corresponding setter method.

Parameters:
  `key` - name of the property to set.
  `value` - value of the property.

#### setNonStandardProperty

    void setNonStandardProperty​(java.lang.String propertyMapping)

Set the property that does not have corresponding setter method.

Parameters:
  `propertyMapping` - parameter value in the `propertyName[=propertyValue]` form, this allows setting non-standard parameters using configuration files.

#### getTransactionParameters

    TransactionParameterBuffer getTransactionParameters​(int isolation)

Get the transaction parameter buffer corresponding to the current connection request information.

Parameters:
  `isolation` - transaction isolation level for which TPB should be returned.
Returns:
  instance of `TransactionParameterBuffer`.

#### setTransactionParameters

    void setTransactionParameters​(int isolation,
                                  TransactionParameterBuffer tpb)

Set transaction parameters for the specified transaction isolation level. The specified TPB is used as a default mapping for the specified isolation level.

Parameters:
  `isolation` - transaction isolation level.
  `tpb` - instance of `TransactionParameterBuffer` containing transaction parameters.